Subject: Re: bug#17496: frequent crashing on cygwin

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Aug 2019 16:58:35 -0700

[email-masked] writes:

> With 24.3.1 on Cygwin x64 built with NT widgets, I am getting frequent
> crashes, at least once a day.  I get the "Emacs Abort Dialog" asking
> me whether I want to attach GDB.  I rebuilt Emacs from trunk, and the
> problem persisted.  Here is the stack trace after upon attaching
> (built from git commit 5289c43e35275b153cd8003f037e67f24bf22d38):
>
> (gdb) where
> #0  0x000007fefe193ca3 in KERNELBASE!DebugBreak () from
> /cygdrive/c/Windows/system32/KERNELBASE.dll
> #1  0x000000010056ec14 in emacs_abort () at w32fns.c:8504
> #2  0x0000000100502549 in do_symval_forwarding (valcontents=<optimized
> out>) at data.c:970
> #3  0x0000000100502611 in swap_in_symval_forwarding
> (symbol=0x1009c3240 <bss_sbrk_buffer+502944>,
> blv=blv@entry=0x600105540) at data.c:1102
> #4  0x0000000100502c76 in find_symbol_value (symbol=<optimized out>)
> at data.c:1150
> #5  0x0000000100502cbd in Fsymbol_value (symbol=4305203778) at
> data.c:1168

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

Are you still seeing this problem in a current Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no